package com.jtxt.demo.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.List;

@Document
public class Question {
    @Id
    private String id;
    private String userId;
    private String content;
    private List<String> answers;
    private List<String> finalAnswer;
    private String answerAnalysis;
    private ProvisionStatus status;
    public enum QuestionType {
        TianKong, // 填空题
        DanXuan,  // 单选题
        DuoXuan, // 多选题
        PanDuan, // 判断题
    }
    private QuestionType type;
    private List<String> tags;
    private String keyword;
    private String questionLevel;

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getQuestionLevel() {
        return questionLevel;
    }

    public void setQuestionLevel(String questionLevel) {
        this.questionLevel = questionLevel;
    }

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public void addTag(String tag) {
        if (this.tags == null) {
            this.tags = new ArrayList<>();
        } else if (this.tags.contains(tag)) {
            return;
        }
        this.tags.add(tag);
    }

    public void removeTag(String tag) {
        if (this.tags == null) {
            this.tags = new ArrayList<>();
        }
        this.tags.remove(tag);
    }

    public String getAnswerAnalysis() {
        return answerAnalysis;
    }

    public void setAnswerAnalysis(String answerAnalysis) {
        this.answerAnalysis = answerAnalysis;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getAnswers() {
        return answers;
    }

    public void setAnswers(List<String> answers) {
        this.answers = answers;
    }

    public List<String> getFinalAnswer() {
        return finalAnswer;
    }

    public void setFinalAnswer(List<String> finalAnswer) {
        this.finalAnswer = finalAnswer;
    }

    public ProvisionStatus getStatus() {
        return status;
    }

    public void setStatus(ProvisionStatus status) {
        this.status = status;
    }

    public QuestionType getType() {
        return type;
    }

    public void setType(QuestionType type) {
        this.type = type;
    }
}
