package com.jtxt.demo.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.List;

@Document
public class TagToResources {
    @Id
    private String name; // 如果是date的话，一定要遵守 YYYYMMDD format, 比如 20210401
    private List<String> materials;
    private List<String> questions;

    public TagToResources(String name) {
        this.name = name;
        this.materials = new ArrayList<>();
        this.questions = new ArrayList<>();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getMaterials() {
        return materials;
    }

    public void setMaterials(List<String> materials) {
        this.materials = materials;
    }

    public List<String> getQuestions() {
        return questions;
    }

    public void setQuestions(List<String> questions) {
        this.questions = questions;
    }

    public void removeMaterial(String materialId) {
        this.materials.remove(materialId);
    }

    public void addMaterial(String materialId) {
        if (this.materials.contains(materialId)) {
            return;
        }
        this.materials.add(materialId);
    }

    public void removeQuestion(String qid) {
        this.questions.remove(qid);
    }

    public void addQuestion(String qid) {
        if (this.questions.contains(qid)) {
            return;
        }
        this.questions.add(qid);
    }
}
